#ifndef WINDOW_H
#define WINDOW_H

#include "logdef.h"

void initcolormap();

void plainxformcoords(log_grec *g, short *x, short *y);

void initwindow();

void initwindow2();

void noblink();

void clearalpha();

void showalpha();

void refrwindow1();

void refrwindow();

void resize_window();

void showcatalog();

void endbottom();

void beginbottom();

void refreshsoon();

void refrmenu();

void refresh();

void drawmarkersc(short c);

void drawnodec(log_nrec *n, int c);

void drawnode(log_nrec *n);

void drawgatex(log_grec *g);

void drawgatexc(log_grec *g, short c);

void udrawgatec(int x, int y, int g, int c);

void drawgatec(int x, int y, int g, int c);

void clearwindow();

void restorecursor();

void clearshowalpha();

void line(short x1, short y1, short x2, short y2);

void hline(short x1, short x2, short y);

void vline(short x1, short x2, short y);

void remcursor();

void clipon();

void clipoff();

void uerase(short x1, short y1, short x2, short y2);

void erase(short x1, short y1, short x2, short y2);

void norabbits();

void addrabbit();

void centerstr2(int x, int y, char *s);

void rightstr2(int x, int y, char *s);

void rect(short x1, short y1, short x2, short y2);

void box(short x1, short y1, short x2, short y2);

void drawstr2(int x, int y, char *s);

void clearalpha();

void xformcoords(log_grec *g, short *x, short *y);

void setdimgate(log_grec *g, int dim);

void drawsolderc(short x, short y, short c);

void hidecursor();

void hidecursorrect_hook(long x1, long y1, long x2, long y2);

void unhidecursor_hook();

void hidecursor_hook();

void drawcursor(short x, short y);

void signallabel(short x, short y, short gtype, short sig, short c);

void gsignallabel(short x, short y, log_grec *g, short c);

void drawpnums(log_grec *g, short c);

void drawgatedotsc(short x, short y, short g, short c);

void refreditmode();

void refrbaseline(int always);

void drawboxc0(short x1, short y1, short x2, short y2, short c);

void drawboxc(log_brec *b, short  c);

void kdrawgatec(short i, short c);

void fixxy(short *x, short *y);

void nocrosshair();

void crosshair(short x, short y);

void xorcursor();

int hvline(short x1, short y1, short *x2, short *y2);

void init_X_window();

#endif
