#include <stdio.h>
#include <math.h>
#include <utils/p2c.h>
#include <utils/filepack.h>
#include <utils/sysdevs.h>
#include <utils/sysglobals.h>

void fp_change(char* filename1, char *filename2)
{
	char *filename3;
	char *cp;

	if (strchr(filename2, '/'))
	{
		filename3 = malloc (sizeof(char) * (strlen(filename2) + 1));
		strcpy(filename3, filename2);
	}
	else
	{
		filename3 = malloc (sizeof(char) * (strlen(filename1) + 1));
		strcpy(filename3, filename1);
		cp = (char *) strrchr(filename3, '/');
		if (cp)
			cp++;
		else
			cp = filename3;
		strcpy(cp, filename2);
	}
	if (access(filename3, 0) == 0)
		unlink(filename3);
	if (!link(filename1, filename3))
		unlink(filename1);
	
	free(filename3);
}

void fp_remove(char *filename)
{
	unlink(filename);
}

